#!/usr/bin/env bash
#set -e
export RNG=PROGRAM
if [ ${mode} == "server" ]
then
    mv /etc/openvpn/server.conf /etc/openvpn/ovpn.conf
    echo -e "LegacySigningMDs md2 md5\nMinimumDHBits 512\n" >> /etc/pki/tls/legacy-settings
fi

if [ ${mode} == "client" ]
then
    sed -i "s/remote server/remote ${server}/" /etc/openvpn/client.conf
    mv /etc/openvpn/client.conf /etc/openvpn/ovpn.conf
    echo -e "LegacySigningMDs md2 md5\nMinimumDHBits 512\n" >> /etc/pki/tls/legacy-settings
fi
exec "$@"

